Skip to main content
GET
List Operations

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Query Parameters

acc
string
actual_only
boolean
applying_at
string<date-time>
applying_at__from
string<date-time>
applying_at__to
string<date-time>
company_name
string
created_at__from
string<date-time>
created_at__to
string<date-time>
id
string<uuid>
limit
integer

Number of results to return per page. Maximum is 100. Default is 20.

offset
integer

The initial index from which to return the results.

order_by
enum<string>[]

Ordering of the results.

For ascending sort order use field.asc, for descending sort order use field.desc.

For sorting by multiple parameters write them as comma separated string: client_id.asc,id.desc.

Final stable tiebreak ordering is added except when pk sorting used.

  • created_at.asc - Created at
  • created_at.desc - Created at (descending)
  • applying_at.asc - Applying at
  • applying_at.desc - Applying at (descending)
  • client_id.asc - Client id
  • client_id.desc - Client id (descending)
  • debit.asc - Debit
  • debit.desc - Debit (descending)
  • credit.asc - Credit
  • credit.desc - Credit (descending)
  • value.asc - Value
  • value.desc - Value (descending)
Available options:
applying_at.asc,
applying_at.desc,
client_id.asc,
client_id.desc,
created_at.asc,
created_at.desc,
credit.asc,
credit.desc,
debit.asc,
debit.desc,
value.asc,
value.desc
ordering
enum<string>[]

Ordering of the results.

This field is left for compatibility and can be deprecated in future versions. Use order_by instead.

Default sort order is ascending. Put - before value for descending sort order: -id.

For sorting by multiple parameters write them as comma separated string: -client_id,id.

Final stable tiebreak ordering is added except when pk sorting used.

  • created_at - Created at
  • -created_at - Created at (descending)
  • applying_at - Applying at
  • -applying_at - Applying at (descending)
  • client_id - Client id
  • -client_id - Client id (descending)
  • debit - Debit
  • -debit - Debit (descending)
  • credit - Credit
  • -credit - Credit (descending)
  • value - Value
  • -value - Value (descending)
Available options:
-applying_at,
-client_id,
-created_at,
-credit,
-debit,
-value,
applying_at,
client_id,
created_at,
credit,
debit,
value
unit_code
string
value
string
value__exact
number
value__gt
number
value__gte
number
value__lt
number
value__lte
number

Response

Request successful.

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=200&limit=100"